org.apache.hadoop.lib.service

## Class FileSystemAccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.hadoop.lib.lang.XException
      - - org.apache.hadoop.lib.service.FileSystemAccessException

- All Implemented Interfaces:
    Serializable

      @InterfaceAudience.Private
      public class FileSystemAccessException
      extends XException

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FileSystemAccessException.ERROR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileSystemAccessException(FileSystemAccessException.ERROR error, Object... params)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.lib.lang.XException

      `getError`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileSystemAccessException

          public FileSystemAccessException(FileSystemAccessException.ERROR error,
                                           Object... params)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.